%define module  String-CRC32
%define version 1.2
%define release 3mdk

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/S/SO/SOENKE/%{module}-%{version}.tar.bz2
Url:            http://www.cpan.org
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String

%changelog
* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.2-3mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-2mdk 
- rpmbuildupdate aware

* Wed Sep 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-1mdk
- 1.2
